.platform {
    overflow: hidden;
    position: relative;
    background: var(--gray);
    background-size: cover;

    &__bg {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        position: absolute;
    }

    &__main {
        z-index: 10;
        position: relative;
    }

    &__header {
        font-weight: 700;
        font-size: rem(28);
        line-height: 1.35555;
        text-transform: uppercase;
        margin-bottom: rem(30);
    }

    &__grid {
        display: grid;
        grid-row-gap: rem(24);
        grid-column-gap: rem(24);
        grid-template-columns: 1fr;
    }

    &__item {
        display: flex;
        flex-direction: column;
        font-size: rem(16);
        line-height: rem(19);
        color: var(--dark);
        background: white;
        position: relative;
        border-radius: 20px;
        text-decoration: none;
        padding: rem(20) rem(15);

        &:hover {
            color: var(--dark);
            text-decoration: none;

            .platform {

                &__arrow {
                    fill: white;
                    background: var(--blue);
                    transition: .25s;
                }
            }
        }
    }

    &__arrow {
        font-size: 0;
        line-height: 0;
        top: rem(20);
        right: rem(20);
        width: rem(40);
        height: rem(40);
        fill: var(--blue);
        position: absolute;
        border-radius: 10px;
        background: #ECEDF2;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: .25s;

        i {
            flex-shrink: 0;
            height: rem(14);
            display: inline-block;
        }
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        width: rem(60);
        height: rem(60);
        display: block;
        margin-bottom: rem(30);
    }

    &__title {
        font-weight: 700;
        font-size: rem(22);
        line-height: rem(24);
        margin-bottom: rem(20);
    }

    &__text {

        p {
            margin-bottom: rem(10);
        }
    }

    &__layout {
        flex-grow: 1;
    }

    @include media-breakpoint-up(md) {

        &__header {
            font-size: rem(36);
            margin-bottom: rem(40);
        }

        &__grid {
            grid-template-columns: 1fr 1fr;
        }

        &__layout {
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
        }
    }


    @include media-breakpoint-up(xl) {

        &__header {
            font-size: rem(44);
            margin-bottom: rem(50);
        }

        &__grid {
            grid-template-columns: 1fr 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xxl) {
    }
}
